<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::IMutableRegistryHub Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1IMutableRegistryHub.html">IMutableRegistryHub</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="structCatch_1_1IMutableRegistryHub-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::IMutableRegistryHub Struct Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a759ca1e044e19f905fb4d306f1367193"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableRegistryHub.html#a759ca1e044e19f905fb4d306f1367193">~IMutableRegistryHub</a> ()</td></tr>
<tr class="separator:a759ca1e044e19f905fb4d306f1367193"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c0ac202ac31ee9f88e8ff5cbac4b243"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableRegistryHub.html#a1c0ac202ac31ee9f88e8ff5cbac4b243">registerReporter</a> (std::string const &amp;name, <a class="el" href="namespaceCatch.html#a6b5bdcf05f6ac139bcd868aef44f4a43">IReporterFactoryPtr</a> const &amp;factory)=0</td></tr>
<tr class="separator:a1c0ac202ac31ee9f88e8ff5cbac4b243"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd892a133f85581fd00ee75bb379ca56"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableRegistryHub.html#abd892a133f85581fd00ee75bb379ca56">registerListener</a> (<a class="el" href="namespaceCatch.html#a6b5bdcf05f6ac139bcd868aef44f4a43">IReporterFactoryPtr</a> const &amp;factory)=0</td></tr>
<tr class="separator:abd892a133f85581fd00ee75bb379ca56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11b85c6744d88c9f83fe16ad4a8dd451"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableRegistryHub.html#a11b85c6744d88c9f83fe16ad4a8dd451">registerTest</a> (<a class="el" href="classCatch_1_1TestCase.html">TestCase</a> const &amp;testInfo)=0</td></tr>
<tr class="separator:a11b85c6744d88c9f83fe16ad4a8dd451"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6825365102693cf7707db022a2c2b49"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableRegistryHub.html#ae6825365102693cf7707db022a2c2b49">registerTranslator</a> (const <a class="el" href="structCatch_1_1IExceptionTranslator.html">IExceptionTranslator</a> *translator)=0</td></tr>
<tr class="separator:ae6825365102693cf7707db022a2c2b49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf2e386b6f94f615719ada711adbf822"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableRegistryHub.html#abf2e386b6f94f615719ada711adbf822">registerTagAlias</a> (std::string const &amp;alias, std::string const &amp;tag, <a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;lineInfo)=0</td></tr>
<tr class="separator:abf2e386b6f94f615719ada711adbf822"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72a7d5386851ac3200f8da794a009c86"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableRegistryHub.html#a72a7d5386851ac3200f8da794a009c86">registerStartupException</a> () noexcept=0</td></tr>
<tr class="separator:a72a7d5386851ac3200f8da794a009c86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab91c4fd63eeb0efd9bfb270e8bbd231d"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1IMutableEnumValuesRegistry.html">IMutableEnumValuesRegistry</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableRegistryHub.html#ab91c4fd63eeb0efd9bfb270e8bbd231d">getMutableEnumValuesRegistry</a> ()=0</td></tr>
<tr class="separator:ab91c4fd63eeb0efd9bfb270e8bbd231d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a759ca1e044e19f905fb4d306f1367193"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableRegistryHub.html#a759ca1e044e19f905fb4d306f1367193">~IMutableRegistryHub</a> ()</td></tr>
<tr class="separator:a759ca1e044e19f905fb4d306f1367193"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c0ac202ac31ee9f88e8ff5cbac4b243"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableRegistryHub.html#a1c0ac202ac31ee9f88e8ff5cbac4b243">registerReporter</a> (std::string const &amp;name, <a class="el" href="namespaceCatch.html#a6b5bdcf05f6ac139bcd868aef44f4a43">IReporterFactoryPtr</a> const &amp;factory)=0</td></tr>
<tr class="separator:a1c0ac202ac31ee9f88e8ff5cbac4b243"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd892a133f85581fd00ee75bb379ca56"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableRegistryHub.html#abd892a133f85581fd00ee75bb379ca56">registerListener</a> (<a class="el" href="namespaceCatch.html#a6b5bdcf05f6ac139bcd868aef44f4a43">IReporterFactoryPtr</a> const &amp;factory)=0</td></tr>
<tr class="separator:abd892a133f85581fd00ee75bb379ca56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11b85c6744d88c9f83fe16ad4a8dd451"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableRegistryHub.html#a11b85c6744d88c9f83fe16ad4a8dd451">registerTest</a> (<a class="el" href="classCatch_1_1TestCase.html">TestCase</a> const &amp;testInfo)=0</td></tr>
<tr class="separator:a11b85c6744d88c9f83fe16ad4a8dd451"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6825365102693cf7707db022a2c2b49"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableRegistryHub.html#ae6825365102693cf7707db022a2c2b49">registerTranslator</a> (const <a class="el" href="structCatch_1_1IExceptionTranslator.html">IExceptionTranslator</a> *translator)=0</td></tr>
<tr class="separator:ae6825365102693cf7707db022a2c2b49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf2e386b6f94f615719ada711adbf822"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableRegistryHub.html#abf2e386b6f94f615719ada711adbf822">registerTagAlias</a> (std::string const &amp;alias, std::string const &amp;tag, <a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;lineInfo)=0</td></tr>
<tr class="separator:abf2e386b6f94f615719ada711adbf822"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72a7d5386851ac3200f8da794a009c86"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableRegistryHub.html#a72a7d5386851ac3200f8da794a009c86">registerStartupException</a> () noexcept=0</td></tr>
<tr class="separator:a72a7d5386851ac3200f8da794a009c86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab91c4fd63eeb0efd9bfb270e8bbd231d"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structCatch_1_1IMutableEnumValuesRegistry.html">IMutableEnumValuesRegistry</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IMutableRegistryHub.html#ab91c4fd63eeb0efd9bfb270e8bbd231d">getMutableEnumValuesRegistry</a> ()=0</td></tr>
<tr class="separator:ab91c4fd63eeb0efd9bfb270e8bbd231d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a759ca1e044e19f905fb4d306f1367193"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a759ca1e044e19f905fb4d306f1367193">&#9670;&nbsp;</a></span>~IMutableRegistryHub() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::IMutableRegistryHub::~IMutableRegistryHub </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a759ca1e044e19f905fb4d306f1367193"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a759ca1e044e19f905fb4d306f1367193">&#9670;&nbsp;</a></span>~IMutableRegistryHub() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::IMutableRegistryHub::~IMutableRegistryHub </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab91c4fd63eeb0efd9bfb270e8bbd231d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab91c4fd63eeb0efd9bfb270e8bbd231d">&#9670;&nbsp;</a></span>getMutableEnumValuesRegistry() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structCatch_1_1IMutableEnumValuesRegistry.html">IMutableEnumValuesRegistry</a>&amp; Catch::IMutableRegistryHub::getMutableEnumValuesRegistry </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab91c4fd63eeb0efd9bfb270e8bbd231d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab91c4fd63eeb0efd9bfb270e8bbd231d">&#9670;&nbsp;</a></span>getMutableEnumValuesRegistry() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structCatch_1_1IMutableEnumValuesRegistry.html">IMutableEnumValuesRegistry</a>&amp; Catch::IMutableRegistryHub::getMutableEnumValuesRegistry </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abd892a133f85581fd00ee75bb379ca56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd892a133f85581fd00ee75bb379ca56">&#9670;&nbsp;</a></span>registerListener() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IMutableRegistryHub::registerListener </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceCatch.html#a6b5bdcf05f6ac139bcd868aef44f4a43">IReporterFactoryPtr</a> const &amp;&#160;</td>
          <td class="paramname"><em>factory</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abd892a133f85581fd00ee75bb379ca56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd892a133f85581fd00ee75bb379ca56">&#9670;&nbsp;</a></span>registerListener() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IMutableRegistryHub::registerListener </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceCatch.html#a6b5bdcf05f6ac139bcd868aef44f4a43">IReporterFactoryPtr</a> const &amp;&#160;</td>
          <td class="paramname"><em>factory</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1c0ac202ac31ee9f88e8ff5cbac4b243"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c0ac202ac31ee9f88e8ff5cbac4b243">&#9670;&nbsp;</a></span>registerReporter() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IMutableRegistryHub::registerReporter </td>
          <td>(</td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceCatch.html#a6b5bdcf05f6ac139bcd868aef44f4a43">IReporterFactoryPtr</a> const &amp;&#160;</td>
          <td class="paramname"><em>factory</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1c0ac202ac31ee9f88e8ff5cbac4b243"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c0ac202ac31ee9f88e8ff5cbac4b243">&#9670;&nbsp;</a></span>registerReporter() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IMutableRegistryHub::registerReporter </td>
          <td>(</td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceCatch.html#a6b5bdcf05f6ac139bcd868aef44f4a43">IReporterFactoryPtr</a> const &amp;&#160;</td>
          <td class="paramname"><em>factory</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a72a7d5386851ac3200f8da794a009c86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72a7d5386851ac3200f8da794a009c86">&#9670;&nbsp;</a></span>registerStartupException() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IMutableRegistryHub::registerStartupException </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a72a7d5386851ac3200f8da794a009c86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72a7d5386851ac3200f8da794a009c86">&#9670;&nbsp;</a></span>registerStartupException() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IMutableRegistryHub::registerStartupException </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abf2e386b6f94f615719ada711adbf822"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf2e386b6f94f615719ada711adbf822">&#9670;&nbsp;</a></span>registerTagAlias() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IMutableRegistryHub::registerTagAlias </td>
          <td>(</td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>alias</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>tag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>lineInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abf2e386b6f94f615719ada711adbf822"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf2e386b6f94f615719ada711adbf822">&#9670;&nbsp;</a></span>registerTagAlias() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IMutableRegistryHub::registerTagAlias </td>
          <td>(</td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>alias</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>tag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>lineInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a11b85c6744d88c9f83fe16ad4a8dd451"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11b85c6744d88c9f83fe16ad4a8dd451">&#9670;&nbsp;</a></span>registerTest() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IMutableRegistryHub::registerTest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1TestCase.html">TestCase</a> const &amp;&#160;</td>
          <td class="paramname"><em>testInfo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a11b85c6744d88c9f83fe16ad4a8dd451"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11b85c6744d88c9f83fe16ad4a8dd451">&#9670;&nbsp;</a></span>registerTest() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IMutableRegistryHub::registerTest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1TestCase.html">TestCase</a> const &amp;&#160;</td>
          <td class="paramname"><em>testInfo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae6825365102693cf7707db022a2c2b49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6825365102693cf7707db022a2c2b49">&#9670;&nbsp;</a></span>registerTranslator() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IMutableRegistryHub::registerTranslator </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structCatch_1_1IExceptionTranslator.html">IExceptionTranslator</a> *&#160;</td>
          <td class="paramname"><em>translator</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae6825365102693cf7707db022a2c2b49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6825365102693cf7707db022a2c2b49">&#9670;&nbsp;</a></span>registerTranslator() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IMutableRegistryHub::registerTranslator </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structCatch_1_1IExceptionTranslator.html">IExceptionTranslator</a> *&#160;</td>
          <td class="paramname"><em>translator</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
